Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.wrapper
Class Wrapper

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.tasks.wrapper.Wrapper

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

    public class Wrapper

extends DefaultTask

Generates scripts (for *nix and windows) which allow you to build your project with Gradle, without having to install Gradle.

When a user executes a wrapper script the first time, the script downloads and installs the appropriate Gradle distribution and runs the build against this downloaded distribution. Any installed Gradle distribution is ignored when using the wrapper scripts.

The scripts generated by this task are intended to be committed to your version control system. This task also generates a small `gradle-wrapper.jar` bootstrap JAR file and properties file which should also be committed to your VCS. The scripts delegates to this JAR.

Nested Class Summary
`static class` | `Wrapper.PathBase` Specifies how the wrapper path should be interpreted.

Field Summary
`static String` | `DEFAULT_ARCHIVE_CLASSIFIER`
`static String` | `DEFAULT_ARCHIVE_NAME`
`static String` | `DEFAULT_DISTRIBUTION_PARENT_NAME`
`static String` | `DEFAULT_URL_ROOT`
`static String` | `WRAPPER_JAR_BASE_NAME`

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Wrapper()`

Method Summary
`Wrapper.PathBase` | `getArchiveBase()` The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`String` | `getArchiveClassifier()` The classifier of the archive as part of the download URL.
`String` | `getArchiveName()` The name of the archive as part of the download URL.
`String` | `getArchivePath()` Returns the path where the gradle distributions archive should be saved (i.e.
`Wrapper.PathBase` | `getDistributionBase()` The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`String` | `getDistributionPath()` Returns the path where the gradle distributions needed by the wrapper are unzipped.
`String` | `getGradleVersion()` Returns the gradle version for the wrapper.
`File` | `getJarFile()` Returns the file to write the wrapper jar file to.
`String` | `getJarPath()` Deprecated.
`File` | `getPropertiesFile()` Returns the file to write the wrapper properties to.
`String` | `getScriptDestinationPath()` Deprecated.
`File` | `getScriptFile()` Returns the file to write the wrapper script to.
`org.gradle.api.tasks.wrapper.internal.WrapperScriptGenerator` | `getUnixWrapperScriptGenerator()`
`String` | `getUrlRoot()` The base URL to download the gradle distribution from.
`void` | `setArchiveBase(Wrapper.PathBase archiveBase)` The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`void` | `setArchiveClassifier(String archiveClassifier)`
`void` | `setArchiveName(String archiveName)`
`void` | `setArchivePath(String archivePath)` Set's the path where the gradle distributions archive should be saved (i.e.
`void` | `setDistributionBase(Wrapper.PathBase distributionBase)` The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`void` | `setDistributionPath(String distributionPath)` Sets the path where the gradle distributions needed by the wrapper are unzipped.
`void` | `setGradleVersion(String gradleVersion)` The version of the gradle distribution required by the wrapper.
`void` | `setJarFile(Object jarFile)`
`void` | `setJarPath(String jarPath)` Deprecated.
`void` | `setScriptDestinationPath(String scriptDestinationPath)` Deprecated.
`void` | `setScriptFile(Object scriptFile)`
`void` | `setUnixWrapperScriptGenerator(org.gradle.api.tasks.wrapper.internal.WrapperScriptGenerator wrapperScriptGenerator)`
`void` | `setUrlRoot(String urlRoot)` Sets the base URL to download the gradle distribution from.

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_URL_ROOT

    public static final String DEFAULT_URL_ROOT

See Also:
  Constant Field Values

### WRAPPER_JAR_BASE_NAME

    public static final String WRAPPER_JAR_BASE_NAME

See Also:
  Constant Field Values

### DEFAULT_DISTRIBUTION_PARENT_NAME

    public static final String DEFAULT_DISTRIBUTION_PARENT_NAME

See Also:
  Constant Field Values

### DEFAULT_ARCHIVE_NAME

    public static final String DEFAULT_ARCHIVE_NAME

See Also:
  Constant Field Values

### DEFAULT_ARCHIVE_CLASSIFIER

    public static final String DEFAULT_ARCHIVE_CLASSIFIER

See Also:
  Constant Field Values

Constructor Detail

### Wrapper

    public Wrapper()

Method Detail

### getScriptFile

    public File getScriptFile()

  Returns the file to write the wrapper script to.

### setScriptFile

    public void setScriptFile(Object scriptFile)

### getScriptDestinationPath

    @Deprecated
    public String getScriptDestinationPath()

  Deprecated.

  Returns the script destination path, relative to the project directory.

  See Also:
    `setScriptDestinationPath(String)`

### setScriptDestinationPath

    @Deprecated
    public void setScriptDestinationPath(String scriptDestinationPath)

  Deprecated.

  Specifies a path as the parent dir of the scripts which are generated when executing the wrapper task. This path specifies a directory relative to the project dir. Defaults to empty string, i.e. the scripts are placed into the project root dir.

  Parameters:
    `scriptDestinationPath` - Any object which `toString` method specifies the path. Most likely a String or File object.

### getJarFile

    public File getJarFile()

  Returns the file to write the wrapper jar file to.

### setJarFile

    public void setJarFile(Object jarFile)

### getPropertiesFile

    public File getPropertiesFile()

  Returns the file to write the wrapper properties to.

### getJarPath

    @Deprecated
    public String getJarPath()

  Deprecated.

  Returns the jar path, relative to the project directory.

  See Also:
    `setJarPath(String)`

### setJarPath

    @Deprecated
    public void setJarPath(String jarPath)

  Deprecated.

  When executing the wrapper task, the jar path specifies the path where the gradle-wrapper.jar is copied to. The jar path must be a path relative to the project dir. The gradle-wrapper.jar must be submitted to your version control system. Defaults to empty string, i.e. the jar is placed into the project root dir.

### getDistributionPath

    public String getDistributionPath()

  Returns the path where the gradle distributions needed by the wrapper are unzipped. The path is relative to the distribution base directory

  See Also:
    `setDistributionPath(String)`

### setDistributionPath

    public void setDistributionPath(String distributionPath)

  Sets the path where the gradle distributions needed by the wrapper are unzipped. The path is relative to the distribution base directory

  See Also:
    `setDistributionPath(String)`

### getGradleVersion

    public String getGradleVersion()

  Returns the gradle version for the wrapper.

  See Also:
    `setGradleVersion(String)`

### setGradleVersion

    public void setGradleVersion(String gradleVersion)

  The version of the gradle distribution required by the wrapper. This is usually the same version of Gradle you use for building your project.

### getUrlRoot

    public String getUrlRoot()

  The base URL to download the gradle distribution from.

  The download URL is assembled by the pattern: `[urlRoot]/[archiveName]-[archiveClassifier]-[gradleVersion].zip`

  The wrapper downloads a certain distribution only once and caches it. If your distribution base is the project, you might submit the distribution to your version control system. That way no download is necessary at all. This might be in particular interesting, if you provide a custom gradle snapshot to the wrapper, because you don't need to provide a download server then.

### setUrlRoot

    public void setUrlRoot(String urlRoot)

  Sets the base URL to download the gradle distribution from.

### getDistributionBase

    public Wrapper.PathBase getDistributionBase()

  The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### setDistributionBase

    public void setDistributionBase(Wrapper.PathBase distributionBase)

  The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### getArchivePath

    public String getArchivePath()

  Returns the path where the gradle distributions archive should be saved (i.e. the parent dir). The path is relative to the archive base directory.

### setArchivePath

    public void setArchivePath(String archivePath)

  Set's the path where the gradle distributions archive should be saved (i.e. the parent dir). The path is relative to the parent dir specified with `getArchiveBase()`.

### getArchiveBase

    public Wrapper.PathBase getArchiveBase()

  The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### setArchiveBase

    public void setArchiveBase(Wrapper.PathBase archiveBase)

  The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### getArchiveName

    public String getArchiveName()

  The name of the archive as part of the download URL.

  The download URL is assembled by the pattern: `[urlRoot]/[archiveName]-[archiveClassifier]-[gradleVersion].zip`

  The default for the archive name is "gradle".

### setArchiveName

    public void setArchiveName(String archiveName)

### getArchiveClassifier

    public String getArchiveClassifier()

  The classifier of the archive as part of the download URL.

  The download URL is assembled by the pattern: `[urlRoot]/[archiveName]-[archiveClassifier]-[gradleVersion].zip`

  The default for the archive classifier is "bin".

### setArchiveClassifier

    public void setArchiveClassifier(String archiveClassifier)

### getUnixWrapperScriptGenerator

    public org.gradle.api.tasks.wrapper.internal.WrapperScriptGenerator getUnixWrapperScriptGenerator()

### setUnixWrapperScriptGenerator

    public void setUnixWrapperScriptGenerator(org.gradle.api.tasks.wrapper.internal.WrapperScriptGenerator wrapperScriptGenerator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD